Subject: Re: [PATCH v9 4/4] cat-file: add --batch-command mode

From: Junio C Hamano <[email-masked]>
Date: Fri, 18 Feb 2022 09:23:07 -0800

Phillip Wood <[email-masked]> writes:

> This is looking good. I think the only thing that is missing (and
> which I should have realized earlier) is that there are no tests for
> valid or invalid format arguments to --batch-command. I haven't
> checked but there must be some other tests in the t1006 that we can
> piggy back on to add that. I've left some stylistic comments below but
> I don't fell strongly about them apart from the README comment so
> please don't feel obliged to act on them, it's looking pretty good as
> is.

Yes, I agree that this is mostly good.  I also agree with all the
points you raised in your review, including the stylistic ones.